---
features:
  primary:
  - name: "Merge Request Approvals shows who participated in the review"
    available_in: [starter, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/project/merge_requests/merge_request_approvals.html#multiple-approval-rules-premium'
    image_url: '/images/unreleased/create_source_code_show_which_eligible_approvers_have_commented_on_the_.png'
    reporter: danielgruesso
    stage: create
    categories:
    - Code Review
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/10294'
    description: |
      Code review often involves multiple people and multiple iterations. It can be hard to know who has been reviewing the merge request, and which of those reviewers has approved and who hasn't. It is important so you can avoid duplicating work and wasting time.

      To show who has provided feedback via comments, the merge request widget now shows a **Commented by** column. This makes it easier for authors and reviewers to identify who to engage.
